org.apache.ignite.internal.processors.query.stat.messages

## Class StatisticsKeyMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.query.stat.messages.StatisticsKeyMessage

All Implemented Interfaces:
  Serializable, Message

    public class StatisticsKeyMessage
    extends Object
    implements Message

Key, describing the object of statistics. For example: table with some columns.

See Also:
  Serialized Form

### Field Summary

Fields
`static short` `TYPE_CODE`

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`StatisticsKeyMessage()` `Externalizable` support.
`StatisticsKeyMessage(String schema, String obj, List<String> colNames)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<String>` `colNames()`
`short` `directType()` Gets message type.
`boolean` `equals(Object o)`
`byte` `fieldsCount()` Gets fields count.
`int` `hashCode()`
`String` `obj()`
`void` `onAckReceived()` Method called when ack message received.
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`String` `schema()`
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TYPE_CODE

    public static final short TYPE_CODE

See Also:
  Constant Field Values

### Constructor Detail

#### StatisticsKeyMessage

    public StatisticsKeyMessage()

`Externalizable` support.

#### StatisticsKeyMessage

    public StatisticsKeyMessage(String schema,
                                String obj,
                                List<String> colNames)

Constructor.

Parameters:
  `schema` - Schema name.
  `obj` - Object name.
  `colNames` - Column names.

### Method Detail

#### schema

    public String schema()

Returns:
  Schema name.

#### obj

    public String obj()

Returns:
  Object name.

#### colNames

    public List<String> colNames()

Returns:
  Column names.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023